Bug 251757 - textproc/docproj: change dependency from svn to git
Summary: textproc/docproj: change dependency from svn to git
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2020-12-11 11:36 UTC by PauAmma
Modified: 2021-01-07 09:56 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (doceng)


Attachments
Depend on git, not svn (1.77 KB, patch)
2020-12-19 15:01 UTC, PauAmma
pauamma: maintainer-approval? (doceng)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description PauAmma freebsd_triage 2020-12-11 11:36:39 UTC
Now that the documentation project uses git exclusively, update the dependencies of the textproc/docproj metaport to use devel/git instead of devel/svn or base svnlite.

This is a preliminary to revising the FDP primer to replace the svn workflow with a git workflow.

Discussed in IRC with AllanJude, bsdimp, and rene0.
Comment 1 PauAmma freebsd_triage 2020-12-19 15:01:38 UTC
Created attachment 220720 [details]
Depend on  git, not svn

Also fixes uses of = likely meant to be +=.

Tested by:

% make -v RUN_DEPENDS
/usr/local/share/xml/dtd/xhtml/xhtml.soc:textproc/xhtml  /usr/local/share/xml/xmlcharent/catalog:textproc/xmlcharent  /usr/local/share/xsl/iso-schematron/xslt1/iso_schematron_skeleton_for_xslt1.xsl:textproc/iso-schematron-xslt  docbook-xsl-ns>=1.78.1_4:textproc/docbook-xsl-ns  docbook>0:textproc/docbook  links:www/links1  p5-XML-Parser>=2.41:textproc/p5-XML-Parser  peps:graphics/peps  pngtopnm:graphics/netpbm  scr2png:graphics/scr2png  scr2txt:textproc/scr2txt  xsltproc:textproc/libxslt  zip:archivers/zip html2text:textproc/html2text git:devel/git igor:textproc/igor itstool:textproc/itstool  msgcat:devel/gettext-tools ghostscript9-agpl-base>=9.16_2:print/ghostscript9-agpl-base groff:textproc/groff perl5>=5.32.r0<5.33:lang/perl5.32
% make config # Turn off GIT option
% make -v RUN_DEPENDS
/usr/local/share/xml/dtd/xhtml/xhtml.soc:textproc/xhtml  /usr/local/share/xml/xmlcharent/catalog:textproc/xmlcharent  /usr/local/share/xsl/iso-schematron/xslt1/iso_schematron_skeleton_for_xslt1.xsl:textproc/iso-schematron-xslt  docbook-xsl-ns>=1.78.1_4:textproc/docbook-xsl-ns  docbook>0:textproc/docbook  links:www/links1  p5-XML-Parser>=2.41:textproc/p5-XML-Parser  peps:graphics/peps  pngtopnm:graphics/netpbm  scr2png:graphics/scr2png  scr2txt:textproc/scr2txt  xsltproc:textproc/libxslt  zip:archivers/zip html2text:textproc/html2text igor:textproc/igor itstool:textproc/itstool  msgcat:devel/gettext-tools ghostscript9-agpl-base>=9.16_2:print/ghostscript9-agpl-base groff:textproc/groff perl5>=5.32.r0<5.33:lang/perl5.32
% make config # Turn on FOP option (CJK is on by default)
% make -v RUN_DEPENDS
/usr/local/share/xml/dtd/xhtml/xhtml.soc:textproc/xhtml  /usr/local/share/xml/xmlcharent/catalog:textproc/xmlcharent  /usr/local/share/xsl/iso-schematron/xslt1/iso_schematron_skeleton_for_xslt1.xsl:textproc/iso-schematron-xslt  docbook-xsl-ns>=1.78.1_4:textproc/docbook-xsl-ns  docbook>0:textproc/docbook  links:www/links1  p5-XML-Parser>=2.41:textproc/p5-XML-Parser  peps:graphics/peps  pngtopnm:graphics/netpbm  scr2png:graphics/scr2png  scr2txt:textproc/scr2txt  xsltproc:textproc/libxslt  zip:archivers/zip html2text:textproc/html2text /usr/local/share/fonts/ipa/ipam.otf:japanese/font-ipa  /usr/local/share/fonts/nanum-ttf/NanumBarunGothic.ttf:korean/nanumfonts-ttf  /usr/local/share/fonts/TrueType/gkai00mp.ttf:chinese/arphicttf /usr/local/share/fonts/dejavu/DejaVuSansMono.ttf:x11-fonts/dejavu  /usr/local/share/fonts/Droid/DroidSans.ttf:x11-fonts/droid-fonts-ttf  /usr/local/share/fonts/GentiumPlus/GentiumPlus-R.ttf:x11-fonts/gentium-plus  /usr/local/share/fonts/Lohit/Lohit-Bengali.ttf:x11-fonts/lohit  fop:textproc/fop igor:textproc/igor itstool:textproc/itstool  msgcat:devel/gettext-tools ghostscript9-agpl-base>=9.16_2:print/ghostscript9-agpl-base groff:textproc/groff perl5>=5.32.r0<5.33:lang/perl5.32
% make -v CJK_RUN_DEPENDS
html2text:textproc/html2text /usr/local/share/fonts/ipa/ipam.otf:japanese/font-ipa  /usr/local/share/fonts/nanum-ttf/NanumBarunGothic.ttf:korean/nanumfonts-ttf  /usr/local/share/fonts/TrueType/gkai00mp.ttf:chinese/arphicttf

% make rmconfig
% make install # Leave options to their defaults
...
% which git
/usr/local/bin/git
% which groff
/usr/local/bin/groff
% which html2text
/usr/local/bin/html2text
% which igor
/usr/local/bin/igor
% which msgcat
/usr/local/bin/msgcat
Comment 2 PauAmma freebsd_triage 2021-01-06 02:04:03 UTC
What do I need to do to move this forward? Or conversely, can someone from doceng@ give the bug maintainer feedback or the patch itself maintainer approval, so I can take this to a ports committer?
Comment 3 commit-hook freebsd_committer 2021-01-06 12:24:32 UTC
A commit references this bug:

Author: 0mp
Date: Wed Jan  6 12:24:16 UTC 2021
New revision: 560504
URL: https://svnweb.freebsd.org/changeset/ports/560504

Log:
  Fix RUN_DEPENDS for the CJK option

  PR:		251757
  Submitted by:	PauAmma <pauamma@gundo.com>
  Approved by:	portmgr (blanket)

Changes:
  head/textproc/docproj/Makefile
Comment 4 Mateusz Piotrowski freebsd_committer 2021-01-06 12:25:50 UTC
I've committed the bug fixing part of the patch. Thanks!

For the Git to SVN transition I'd wait for doceng@ to chime in.
Comment 5 commit-hook freebsd_committer 2021-01-06 12:45:36 UTC
A commit references this bug:

Author: 0mp
Date: Wed Jan  6 12:45:02 UTC 2021
New revision: 560505
URL: https://svnweb.freebsd.org/changeset/ports/560505

Log:
  MFH: r560504

  Fix RUN_DEPENDS for the CJK option

  PR:		251757
  Submitted by:	PauAmma <pauamma@gundo.com>
  Approved by:	portmgr (blanket)

Changes:
_U  branches/2021Q1/
  branches/2021Q1/textproc/docproj/Makefile
Comment 6 PauAmma freebsd_triage 2021-01-06 13:39:20 UTC
(In reply to Mateusz Piotrowski from comment #4)
Should I refresh the patch for the PORTREVISION change?
Comment 7 Mateusz Piotrowski freebsd_committer 2021-01-06 14:09:27 UTC
(In reply to PauAmma from comment #6)

I'd say it is unnecessary. I'd only change GIT description to "Git support". Thanks :)
Comment 8 Glen Barber freebsd_committer 2021-01-06 17:27:47 UTC
(In reply to Mateusz Piotrowski from comment #4)
> For the Git to SVN transition I'd wait for doceng@ to chime in.

Approved.  Thanks!
Comment 9 Mateusz Piotrowski freebsd_committer 2021-01-06 17:55:45 UTC
I'll commit the patch soon.
Comment 10 commit-hook freebsd_committer 2021-01-07 09:15:08 UTC
A commit references this bug:

Author: 0mp
Date: Thu Jan  7 09:14:27 UTC 2021
New revision: 560693
URL: https://svnweb.freebsd.org/changeset/ports/560693

Log:
  Chase the switch of the doc tree from Subversion to Git

  PR:		251757
  Submitted by:	PauAmma <pauamma@gundo.com>
  Approved by:	doceng (gjb)
  MFH:		2021Q1

Changes:
  head/textproc/docproj/Makefile
Comment 11 Mateusz Piotrowski freebsd_committer 2021-01-07 09:18:22 UTC
Committed, thanks a lot for the contribution!
Comment 12 commit-hook freebsd_committer 2021-01-07 09:56:16 UTC
A commit references this bug:

Author: 0mp
Date: Thu Jan  7 09:55:28 UTC 2021
New revision: 560696
URL: https://svnweb.freebsd.org/changeset/ports/560696

Log:
  MFH: r560693

  Chase the switch of the doc tree from Subversion to Git

  PR:		251757
  Submitted by:	PauAmma <pauamma@gundo.com>
  Approved by:	doceng (gjb)

Changes:
_U  branches/2021Q1/
  branches/2021Q1/textproc/docproj/Makefile